summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2020-11-18 23:56:39 +0100
committerMichał Górny <mgorny@gentoo.org>2020-11-19 01:40:30 +0100
commit69e9f06a4de8b657989b808222601e1a40ccc671 (patch)
tree93611c9f1c6c1f8a4d521d88957d039c46e97ab7
parentsys-kernel/vanilla-kernel: Bump to 5.9.9 (diff)
downloadgentoo-69e9f06a4de8b657989b808222601e1a40ccc671.tar.gz
gentoo-69e9f06a4de8b657989b808222601e1a40ccc671.tar.bz2
gentoo-69e9f06a4de8b657989b808222601e1a40ccc671.zip
sys-kernel/gentoo-kernel: Bump to 5.9.9
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--sys-kernel/gentoo-kernel/Manifest2
-rw-r--r--sys-kernel/gentoo-kernel/gentoo-kernel-5.9.9.ebuild87
2 files changed, 89 insertions, 0 deletions
diff --git a/sys-kernel/gentoo-kernel/Manifest b/sys-kernel/gentoo-kernel/Manifest
index b67fb30db10..d1369e209af 100644
--- a/sys-kernel/gentoo-kernel/Manifest
+++ b/sys-kernel/gentoo-kernel/Manifest
@@ -6,6 +6,8 @@ DIST genpatches-5.4-79.base.tar.xz 2551752 BLAKE2B 8bd8950877671f66d7227a2cc0ee5
DIST genpatches-5.4-79.extras.tar.xz 1768 BLAKE2B 4c890e06a2733a06fee44172925a465204b8f435df40583eeeb553de6c2a26197f50ab100ed47b6c104ff5e4344534fd149d84f12e5f43f4c65422ef9a0e2cf5 SHA512 fbea0554d4cdffcbc4f43f9bed3cd57e5a3f79776f5e46d23daa65b884b5fd6fd43e248b04258434e44026669b6d1a707782a01dc217142c954fef2afa5acdff
DIST genpatches-5.9-8.base.tar.xz 443192 BLAKE2B 48c79a97fe1201bab87ba601feac1e05ce12f2db155e53e0a543c7994ba8dfcac75b17e315929c0b68b8136913fdf93005690ccb260640ccc31527088beb326b SHA512 c365018bcfe84ff64a8171951fd4f97bb89044633df137926d22bedc738cd17ebe72c26800eaf30171c3495ce2b1bfdc93866112756bdd2207e6e184b5f1fb6f
DIST genpatches-5.9-8.extras.tar.xz 1768 BLAKE2B 96413f75c606fe4515d0facb8f0ca784702bb5d83591af87fb4bcf2b6c5e135eabcc55e0e84be9ecd3854ec108b8ed93cff11c41e7efba8c45aadefa291cacff SHA512 646efb1f6e0b9252b0220aa5922b0c0d8f093dba8edb7e40e127680c8a471aa49724f9591a3147925d7a4084af8d5e1cc5f78b0e72297072fd15bd13d1c93e40
+DIST genpatches-5.9-9.base.tar.xz 513024 BLAKE2B de77ed5aa32336d44f0a299703ceaf290a6ec00ec8fe80f3ad6cf85d89374bdeb278c0fed143f7d7899e21146bfd6daadafbe2274ed10c3bc9170186015ba772 SHA512 d1c7640fc3510e8d47aa07b13c2876a14f510a30e74d53cbac2d6b564b3258698b833c028ed8e8694b8e4aaa31c899c7ae8023825e57e0b35e136f99e667185d
+DIST genpatches-5.9-9.extras.tar.xz 1768 BLAKE2B f97e1741fc12f3e00f1f71f6d9277d0233ef65464461ad0352cc211f32ead0ab67ba8e0fbbdf187bedd6d2d3728dabc1d38fee2552e1b06b9a4fa4c5fc0c9d62 SHA512 148eaf715b3c4b7fa6d613824dc19d2b70e580e0316cfcdd405ffa7b946b1dad4af5cbc9e2ad4b0c0fd31041a60d5410c3ac789f53f41e85f37375df101ecc00
DIST gentoo-kernel-config-5.4.77-r1.tar.gz 1289 BLAKE2B 6612741cfbf458f4bd8915b476aac3aa6934e8bbab344da877fa4ad52b6133e01f5d44bf0e5d048e79e56c1a351774135ee55f1aa839b230e2418db7c5d9b123 SHA512 2a09dd85af37447b278847aeaad114ef47470726cec015ed5ee1b54b3080f4b2c48de8b2f7b817eeb4e27c753579cf0820053e22caa762cb1552116d8d69eba0
DIST gentoo-kernel-config-5.9.8-r1.tar.gz 1198 BLAKE2B 8fc6d432e9d7e1f7f2be75c5741ab18be399066e9837a52023bebfbffe6299eabfa7e8e94822ef205bd443f6d75a75530cf0c3989dc0414a7c3e4ff06d4743bc SHA512 bc554f46ffb8a4422269e5d9b8e9e0c0f1ecd29fd008719f7ab027e87f4b4bb284d7854d1af2e1e5af0784043db79de058b38fd1ff0bf50d3086e8adc6254e1f
DIST kernel-aarch64-fedora.config.5.9.2 217893 BLAKE2B 03a36c1fe81a16b434cd94bad3984bf8984808b2e7092089f9a23a565c6d9bc8a512baa4e5754633783ef47feb6cc67010a0093f096e5a15db0f13aaaf6d6426 SHA512 ebe29150ae625cf2f285649984c27246ef85cc13f0b5d4e40dd3ef479489aaa09b6ee4aee859d6e4361dd7e7b4432db8aec077a099a25e90609b9eac2d42802d
diff --git a/sys-kernel/gentoo-kernel/gentoo-kernel-5.9.9.ebuild b/sys-kernel/gentoo-kernel/gentoo-kernel-5.9.9.ebuild
new file mode 100644
index 00000000000..2bbd08ab281
--- /dev/null
+++ b/sys-kernel/gentoo-kernel/gentoo-kernel-5.9.9.ebuild
@@ -0,0 +1,87 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-build
+
+MY_P=linux-${PV%.*}
+GENPATCHES_P=genpatches-${PV%.*}-${PV##*.}
+# https://koji.fedoraproject.org/koji/packageinfo?packageID=8
+CONFIG_VER=5.9.2
+CONFIG_HASH=94a4277f8827d1b2c911deabe56e7d929dc93146
+GENTOO_CONFIG_VER=5.9.8-r1
+
+DESCRIPTION="Linux kernel built with Gentoo patches"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+=" https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.xz
+ https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.base.tar.xz
+ https://dev.gentoo.org/~mpagano/dist/genpatches/${GENPATCHES_P}.extras.tar.xz
+ https://github.com/mgorny/gentoo-kernel-config/archive/v${GENTOO_CONFIG_VER}.tar.gz
+ -> gentoo-kernel-config-${GENTOO_CONFIG_VER}.tar.gz
+ amd64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-x86_64-fedora.config
+ -> kernel-x86_64-fedora.config.${CONFIG_VER}
+ )
+ arm64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-aarch64-fedora.config
+ -> kernel-aarch64-fedora.config.${CONFIG_VER}
+ )
+ ppc64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-ppc64le-fedora.config
+ -> kernel-ppc64le-fedora.config.${CONFIG_VER}
+ )
+ x86? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-i686-fedora.config
+ -> kernel-i686-fedora.config.${CONFIG_VER}
+ )"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="debug"
+REQUIRED_USE="arm? ( savedconfig )"
+
+RDEPEND="
+ !sys-kernel/vanilla-kernel:${SLOT}
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+BDEPEND="
+ debug? ( dev-util/dwarves )"
+
+src_prepare() {
+ local PATCHES=(
+ # meh, genpatches have no directory
+ "${WORKDIR}"/*.patch
+ )
+ default
+
+ # prepare the default config
+ case ${ARCH} in
+ amd64)
+ cp "${DISTDIR}/kernel-x86_64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ arm)
+ return
+ ;;
+ arm64)
+ cp "${DISTDIR}/kernel-aarch64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ ppc64)
+ cp "${DISTDIR}/kernel-ppc64le-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ x86)
+ cp "${DISTDIR}/kernel-i686-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ *)
+ die "Unsupported arch ${ARCH}"
+ ;;
+ esac
+
+ local merge_configs=(
+ "${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"/base.config
+ )
+ use debug || merge_configs+=(
+ "${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"/no-debug.config
+ )
+ kernel-build_merge_configs "${merge_configs[@]}"
+}